JobStatusType (gCube Social Networking Library 1.0.2-SNAPSHOT API)
Date: 2013-04-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.portal.databook.shared
Enum JobStatusType

    java.lang.Object
      java.lang.Enum<JobStatusType>
          org.gcube.portal.databook.shared.JobStatusType

All Implemented Interfaces:
  Serializable, Comparable<JobStatusType>

    public enum JobStatusType

extends Enum<JobStatusType>

Version:
  0.1 Dec 2012
Author:
  Massimiliano Assante, ISTI-CNR

Enum Constant Summary
`STATUS_CANCELLED` The job has been cancelled.
`STATUS_CANCELLING` The job is in the process of being cancelled.
`STATUS_DELETED` The job has been deleted.
`STATUS_DELETING` The job is in the process of being deleted.
`STATUS_EXECUTING` The job is being executed by job processor.
`STATUS_FAILED` he job execution has failed.
`STATUS_NEW` The job is new.
`STATUS_SUBMITTED` The job is submitted for execution.
`STATUS_SUCCEEDED` The job has completed successfully
`STATUS_TIMED_OUT` The job execution has timed out.
`STATUS_WAITING` The job is waiting for available job processor.

Method Summary
`static JobStatusType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobStatusType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STATUS_CANCELLED

    public static final JobStatusType STATUS_CANCELLED

  The job has been cancelled.

### STATUS_CANCELLING

    public static final JobStatusType STATUS_CANCELLING

  The job is in the process of being cancelled.

### STATUS_DELETED

    public static final JobStatusType STATUS_DELETED

  The job has been deleted.

### STATUS_DELETING

    public static final JobStatusType STATUS_DELETING

  The job is in the process of being deleted.

### STATUS_EXECUTING

    public static final JobStatusType STATUS_EXECUTING

  The job is being executed by job processor.

### STATUS_FAILED

    public static final JobStatusType STATUS_FAILED

  he job execution has failed.

### STATUS_NEW

    public static final JobStatusType STATUS_NEW

  The job is new.

### STATUS_SUBMITTED

    public static final JobStatusType STATUS_SUBMITTED

  The job is submitted for execution.

### STATUS_SUCCEEDED

    public static final JobStatusType STATUS_SUCCEEDED

  The job has completed successfully

### STATUS_TIMED_OUT

    public static final JobStatusType STATUS_TIMED_OUT

  The job execution has timed out.

### STATUS_WAITING

    public static final JobStatusType STATUS_WAITING

  The job is waiting for available job processor.

Method Detail

### values

    public static JobStatusType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JobStatusType c : JobStatusType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JobStatusType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.